<?php
namespace Specialistaweb\Soho\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Giulia Tuveri <at@specialistaweb.it>, specialistaweb
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * table for closed hours
 */
class Closed extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * starttimeClosedDate
     *
     * @var  integer
     */
    protected $starttimecloseddate = '';
		
    /**
     * endtimeClosedDate
     *
     * @var  integer
     */
    protected $endtimecloseddate = '';

    /**
     * name
     *
     * @var string
     */
    protected $name = '';
    
    /**
     * text
     *
     * @var string
     */
    protected $text = '';
    
    /**
     * notes
     *
     * @var string
     */
    protected $notes = '';
    
    /**
     * Returns the name
     *
     * @return string $name
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     *
     * @param integer $starttimecloseddate
     * @return integer  $starttimecloseddate
     */
    public function getStarttimecloseddate()
    {
       return $this->starttimecloseddate;
    }

    /**
     * Sets the starttimecloseddate
     *
     * @param integer $starttimecloseddate
     * @return void
		 */
    public function setStarttimecloseddate($starttimecloseddate)
    {
       return $this->$starttimecloseddate;
    }

    /**
     *
     * @param integer $endtimeClosedDate
     * @return integer  $endtimeClosedDate
     */
    public function getEndtimecloseddate()
    {
       return $this->endtimecloseddate;
    }

    /**
     * Sets the endtimeCloseddate
     *
     * @param integer $endtimecloseddate
     * @return void
     */
    public function setEndtimeClosedDate($endtimecloseddate)
    {
       return $this->$endtimecloseddate;
    }

    /**
     * Sets the name
     *
     * @param string $name
     * @return void
     */
    public function setName($name)
    {
        $this->name = $name;
    }
    
    /**
     * Returns the text
     *
     * @return string $text
     */
    public function getText()
    {
        return $this->text;
    }
    
    /**
     * Sets the text
     *
     * @param string $text
     * @return void
     */
    public function setText($text)
    {
        $this->text = $text;
    }
    
    /**
     * Returns the notes
     *
     * @return string $notes
     */
    public function getNotes()
    {
        return $this->notes;
    }
    
    /**
     * Sets the notes
     *
     * @param string $notes
     * @return void
     */
    public function setNotes($notes)
    {
        $this->notes = $notes;
    }

}
