<?php
namespace Specialistaweb\Soho\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Giulia Tuveri <at@specialistaweb.it>, specialistaweb
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * normal, this table contains the opening hours for each day of the week
 */
class Normal extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{


    /**
     * starttimenormaldate
     *
     * @var  integer
     */
    protected $starttimenormaldate = '';
		
    /**
     * endtimenormaldate
     *
     * @var  integer
     */
    protected $endtimenormaldate = '';

    /**
     * name
     *
     * @var string
     */
    protected $name = '';
    
    /**
     * text
     *
     * @var string
     */
    protected $text = '';

    /**
     * sunamf
     *
     * @var int
     */
    protected $sunamf = 0;
    
    /**
     * sunamt
     *
     * @var int
     */
    protected $sunamt = 0;
    
    /**
     * sunpmf
     *
     * @var int
     */
    protected $sunpmf = 0;
    
    /**
     * sunpmt
     *
     * @var int
     */
    protected $sunpmt = 0;
    
    /**
     * monamf
     *
     * @var int
     */
    protected $monamf = 0;
    
    /**
     * monamt
     *
     * @var int
     */
    protected $monamt = 0;
    
    /**
     * monpmf
     *
     * @var int
     */
    protected $monpmf = 0;
    
    /**
     * monpmt
     *
     * @var int
     */
    protected $monpmt = 0;
    
    /**
     * tueamf
     *
     * @var int
     */
    protected $tueamf = 0;
    
    /**
     * tueamt
     *
     * @var int
     */
    protected $tueamt = 0;
    
    /**
     * tuepmf
     *
     * @var int
     */
    protected $tuepmf = 0;
    
    /**
     * tuepmt
     *
     * @var int
     */
    protected $tuepmt = 0;
    
    /**
     * wedamf
     *
     * @var int
     */
    protected $wedamf = 0;
    
    /**
     * wedamt
     *
     * @var int
     */
    protected $wedamt = 0;
    
    /**
     * wedpmf
     *
     * @var int
     */
    protected $wedpmf = 0;
    
    /**
     * wedpmt
     *
     * @var int
     */
    protected $wedpmt = 0;
    
    /**
     * thuamf
     *
     * @var int
     */
    protected $thuamf = 0;
    
    /**
     * thuamt
     *
     * @var int
     */
    protected $thuamt = 0;
    
    /**
     * thupmf
     *
     * @var int
     */
    protected $thupmf = 0;
    
    /**
     * thupmt
     *
     * @var int
     */
    protected $thupmt = 0;
    
    /**
     * friamf
     *
     * @var int
     */
    protected $friamf = 0;
    
    /**
     * friamt
     *
     * @var int
     */
    protected $friamt = 0;
    
    /**
     * fripmf
     *
     * @var int
     */
    protected $fripmf = 0;
    
    /**
     * fripmt
     *
     * @var int
     */
    protected $fripmt = 0;
    
    /**
     * satamf
     *
     * @var int
     */
    protected $satamf = 0;
    
    /**
     * satamt
     *
     * @var int
     */
    protected $satamt = 0;
    
    /**
     * satpmf
     *
     * @var int
     */
    protected $satpmf = 0;
    
    /**
     * satpmt
     *
     * @var int
     */
    protected $satpmt = 0;

    /**
     * dateformat
     *
     * @var int
     */
    protected $dateformat = 0;
    
    /**
     * timeformat
     *
     * @var int
     */
    protected $timeformat = 0;
    
    /**
     * alttext
     *
     * @var string
     */
    protected $alttext = '';
    
    /**
     * notes
     *
     * @var int
     */
    protected $notes = 0;

    /**
     * ampmhours
     *
     * @var int
     */
    protected $ampmhours = '';
    
    /**
     * Returns the name
     *
     * @return string $name
     */
    public function getName()
    {
        return $this->name;
    }


    /**
     * Sets the starttimenormaldate
     *
     * @param integer $starttimenormaldate
     * @return void
     */
    public function setStarttimenormaldate($starttimenormaldate)
    {
       return $this->$starttimenormaldate;
    }

    /**
     *
     * @param integer $endtimenormaldate
     * @return integer  $endtimenormaldate
     */
    public function getEndtimenormaldate()
    {
       return $this->endtimenormaldate;
    }


    /**
     *
     * @param integer $starttimenormaldate
     * @return integer  $starttimenormaldate
     */
    public function getStarttimenormaldate()
    {
       return $this->starttimenormaldate;
    }

    /**
     * Sets the endtimenormaldate
     *
     * @param integer $endtimenormaldate
     * @return void
     */
    public function setEndtimenormaldate($endtimenormaldate)
    {
       return $this->$endtimenormaldate;
    }

    /**
     * Sets the name
     *
     * @param string $name
     * @return void
     */
    public function setName($name)
    {
        $this->name = $name;
    }
    
    /**
     * Returns the text
     *
     * @return string $text
     */
    public function getText()
    {
        return $this->text;
    }
    
    /**
     * Sets the text
     *
     * @param string $text
     * @return void
     */
    public function setText($text)
    {
        $this->text = $text;
    }
    
    /**
     * Returns the sunamf
     *
     * @return int $sunamf
     */
    public function getSunamf()
    {
        return $this->sunamf;
    }
    
    /**
     * Sets the sunamf
     *
     * @param int $sunamf
     * @return void
     */
    public function setSunamf($sunamf)
    {
        $this->sunamf = $sunamf;
    }
    
    /**
     * Returns the sunamt
     *
     * @return int $sunamt
     */
    public function getSunamt()
    {
        return $this->sunamt;
    }
    
    /**
     * Sets the sunamt
     *
     * @param int $sunamt
     * @return void
     */
    public function setSunamt($sunamt)
    {
        $this->sunamt = $sunamt;
    }
    
    /**
     * Returns the sunpmf
     *
     * @return int $sunpmf
     */
    public function getSunpmf()
    {
        return $this->sunpmf;
    }
    
    /**
     * Sets the sunpmf
     *
     * @param int $sunpmf
     * @return void
     */
    public function setSunpmf($sunpmf)
    {
        $this->sunpmf = $sunpmf;
    }
    
    /**
     * Returns the sunpmt
     *
     * @return int $sunpmt
     */
    public function getSunpmt()
    {
        return $this->sunpmt;
    }
    
    /**
     * Sets the sunpmt
     *
     * @param int $sunpmt
     * @return void
     */
    public function setSunpmt($sunpmt)
    {
        $this->sunpmt = $sunpmt;
    }
    
   
    /**
     * Sets the monamf
     *
     * @param int $monamf
     * @return void
     */
    public function setMonamf($monamf)
    {
        $this->monamf = $monamf;
    }
    
    /**
     * Returns the monamt
     *
     * @return int $monamf
     */
    public function getMonamf()
    {
        return $this->monamf;
    }

    /**
     * Returns the monamt
     *
     * @return int $monamt
     */
    public function getMonamt()
    {
        return $this->monamt;
    }
    
    /**
     * Sets the monamt
     *
     * @param int $monamt
     * @return void
     */
    public function setMonamt($monamt)
    {
        $this->monamt = $monamt;
    }
    
    /**
     * Returns the monpmf
     *
     * @return int $monpmf
     */
    public function getMonpmf()
    {
        return $this->monpmf;
    }
    
    /**
     * Sets the monpmf
     *
     * @param int $monpmf
     * @return void
     */
    public function setMonpmf($monpmf)
    {
        $this->monpmf = $monpmf;
    }
    
    /**
     * Returns the monpmt
     *
     * @return int $monpmt
     */
    public function getMonpmt()
    {
        return $this->monpmt;
    }
    
    /**
     * Sets the monpmt
     *
     * @param int $monpmt
     * @return void
     */
    public function setMonpmt($monpmt)
    {
        $this->monpmt = $monpmt;
    }
    
    /**
     * Returns the tueamf
     *
     * @return int $tueamf
     */
    public function getTueamf()
    {
        return $this->tueamf;
    }
    
    /**
     * Sets the tueamf
     *
     * @param int $tueamf
     * @return void
     */
    public function setTueamf($tueamf)
    {
        $this->tueamf = $tueamf;
    }
    
    /**
     * Returns the tueamt
     *
     * @return int $tueamt
     */
    public function getTueamt()
    {
        return $this->tueamt;
    }
    
    /**
     * Sets the tueamt
     *
     * @param int $tueamt
     * @return void
     */
    public function setTueamt($tueamt)
    {
        $this->tueamt = $tueamt;
    }
    
    /**
     * Returns the tuepmf
     *
     * @return int $tuepmf
     */
    public function getTuepmf()
    {
        return $this->tuepmf;
    }
    
    /**
     * Sets the tuepmf
     *
     * @param int $tuepmf
     * @return void
     */
    public function setTuepmf($tuepmf)
    {
        $this->tuepmf = $tuepmf;
    }
    
    /**
     * Returns the tuepmt
     *
     * @return int $tuepmt
     */
    public function getTuepmt()
    {
        return $this->tuepmt;
    }
    
    /**
     * Sets the tuepmt
     *
     * @param int $tuepmt
     * @return void
     */
    public function setTuepmt($tuepmt)
    {
        $this->tuepmt = $tuepmt;
    }
    
    /**
     * Returns the wedamf
     *
     * @return int $wedamf
     */
    public function getWedamf()
    {
        return $this->wedamf;
    }
    
    /**
     * Sets the wedamf
     *
     * @param int $wedamf
     * @return void
     */
    public function setWedamf($wedamf)
    {
        $this->wedamf = $wedamf;
    }
    
    /**
     * Returns the wedamt
     *
     * @return int $wedamt
     */
    public function getWedamt()
    {
        return $this->wedamt;
    }
    
    /**
     * Sets the wedamt
     *
     * @param int $wedamt
     * @return void
     */
    public function setWedamt($wedamt)
    {
        $this->wedamt = $wedamt;
    }
    
    /**
     * Returns the wedpmf
     *
     * @return int $wedpmf
     */
    public function getWedpmf()
    {
        return $this->wedpmf;
    }
    
    /**
     * Sets the wedpmf
     *
     * @param int $wedpmf
     * @return void
     */
    public function setWedpmf($wedpmf)
    {
        $this->wedpmf = $wedpmf;
    }
    
    /**
     * Returns the wedpmt
     *
     * @return int $wedpmt
     */
    public function getWedpmt()
    {
        return $this->wedpmt;
    }
    
    /**
     * Sets the wedpmt
     *
     * @param int $wedpmt
     * @return void
     */
    public function setWedpmt($wedpmt)
    {
        $this->wedpmt = $wedpmt;
    }
    
    /**
     * Returns the thuamf
     *
     * @return int $thuamf
     */
    public function getThuamf()
    {
        return $this->thuamf;
    }
    
    /**
     * Sets the thuamf
     *
     * @param int $thuamf
     * @return void
     */
    public function setThuamf($thuamf)
    {
        $this->thuamf = $thuamf;
    }
    
    /**
     * Returns the thuamt
     *
     * @return int $thuamt
     */
    public function getThuamt()
    {
        return $this->thuamt;
    }
    
    /**
     * Sets the thuamt
     *
     * @param int $thuamt
     * @return void
     */
    public function setThuamt($thuamt)
    {
        $this->thuamt = $thuamt;
    }
    
    /**
     * Returns the thupmf
     *
     * @return int $thupmf
     */
    public function getThupmf()
    {
        return $this->thupmf;
    }
    
    /**
     * Sets the thupmf
     *
     * @param int $thupmf
     * @return void
     */
    public function setThupmf($thupmf)
    {
        $this->thupmf = $thupmf;
    }
    
    /**
     * Returns the thupmt
     *
     * @return int $thupmt
     */
    public function getThupmt()
    {
        return $this->thupmt;
    }
    
    /**
     * Sets the thupmt
     *
     * @param int $thupmt
     * @return void
     */
    public function setThupmt($thupmt)
    {
        $this->thupmt = $thupmt;
    }
    
    /**
     * Returns the friamf
     *
     * @return int $friamf
     */
    public function getFriamf()
    {
        return $this->friamf;
    }
    
    /**
     * Sets the friamf
     *
     * @param int $friamf
     * @return void
     */
    public function setFriamf($friamf)
    {
        $this->friamf = $friamf;
    }
    
    /**
     * Returns the friamt
     *
     * @return int $friamt
     */
    public function getFriamt()
    {
        return $this->friamt;
    }
    
    /**
     * Sets the friamt
     *
     * @param int $friamt
     * @return void
     */
    public function setFriamt($friamt)
    {
        $this->friamt = $friamt;
    }
    
    /**
     * Returns the fripmf
     *
     * @return int $fripmf
     */
    public function getFripmf()
    {
        return $this->fripmf;
    }
    
    /**
     * Sets the fripmf
     *
     * @param int $fripmf
     * @return void
     */
    public function setFripmf($fripmf)
    {
        $this->fripmf = $fripmf;
    }
    
    /**
     * Returns the fripmt
     *
     * @return int $fripmt
     */
    public function getFripmt()
    {
        return $this->fripmt;
    }
    
    /**
     * Sets the fripmt
     *
     * @param int $fripmt
     * @return void
     */
    public function setFripmt($fripmt)
    {
        $this->fripmt = $fripmt;
    }
    
    /**
     * Returns the satamf
     *
     * @return int $satamf
     */
    public function getSatamf()
    {
        return $this->satamf;
    }
    
    /**
     * Sets the satamf
     *
     * @param int $satamf
     * @return void
     */
    public function setSatamf($satamf)
    {
        $this->satamf = $satamf;
    }
    
    /**
     * Returns the satamt
     *
     * @return int $satamt
     */
    public function getSatamt()
    {
        return $this->satamt;
    }
    
    /**
     * Sets the satamt
     *
     * @param int $satamt
     * @return void
     */
    public function setSatamt($satamt)
    {
        $this->satamt = $satamt;
    }
    
    /**
     * Returns the satpmf
     *
     * @return int $satpmf
     */
    public function getSatpmf()
    {
        return $this->satpmf;
    }
    
    /**
     * Sets the satpmf
     *
     * @param int $satpmf
     * @return void
     */
    public function setSatpmf($satpmf)
    {
        $this->satpmf = $satpmf;
    }
    
    /**
     * Returns the satpmt
     *
     * @return int $satpmt
     */
    public function getSatpmt()
    {
        return $this->satpmt;
    }
    
    /**
     * Sets the satpmt
     *
     * @param int $satpmt
     * @return void
     */
    public function setSatpmt($satpmt)
    {
        $this->satpmt = $satpmt;
    }
    
    /**
     * Returns the dateformat
     *
     * @return int $dateformat
     */
    public function getDateformat()
    {
        return $this->dateformat;
    }
    
    /**
     * Sets the dateformat
     *
     * @param int $dateformat
     * @return void
     */
    public function setDateformat($dateformat)
    {
        $this->dateformat = $dateformat;
    }
    
    /**
     * Returns the timeformat
     *
     * @return int $timeformat
     */
    public function getTimeformat()
    {
        return $this->timeformat;
    }
    
    /**
     * Sets the timeformat
     *
     * @param int $timeformat
     * @return void
     */
    public function setTimeformat($timeformat)
    {
        $this->timeformat = $timeformat;
    }
    
    /**
     * Returns the alttext
     *
     * @return string $alttext
     */
    public function getAlttext()
    {
        return $this->alttext;
    }
    
    /**
     * Sets the alttext
     *
     * @param string $alttext
     * @return void
     */
    public function setAlttext($alttext)
    {
        $this->alttext = $alttext;
    }
    
    /**
     * Returns the notes
     *
     * @return int $notes
     */
    public function getNotes()
    {
        return $this->notes;
    }
    
    /**
     * Sets the notes
     *
     * @param int $notes
     * @return void
     */
    public function setNotes($notes)
    {
        $this->notes = $notes;
    }
     
    /**
     * Returns the ampmhours
     *
     * @return string $ampmhours
     */
    public function getAmpmhours()
    {
        return $this->ampmhours;
    }

    /**
     * Sets the ampmhours
     *
     * @param string $ampmhours
     * @return void
     */
    public function setAmpmhours($ampmhours)
    {
        $this->ampmhours = $ampmhours;
    }

    
    /**
     * __construct
     */
    public function __construct()
    {
        //Do not remove the next line: It would break the functionality
        $this->initStorageObjects();
    }
    
    /**
     * Initializes all ObjectStorage properties
     * Do not modify this method!
     * It will be rewritten on each save in the extension builder
     * You may modify the constructor of this class instead
     *
     * @return void
     */
    protected function initStorageObjects()
    {
        
    }

}
