<?php
return array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal',
		'label' => 'name',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'versioningWS' => 2,
		'versioning_followPages' => TRUE,

		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'starttimenormaldate,endtimenormaldate,name,text,sunamf,sunamt,sunpmf,sunpmt,monamf,monamt,monpmf,monpmt,tueamf,tueamt,tuepmf,tuepmt,wedamf,wedamt,wedpmf,wedpmt,thuamf,thuamt,thupmf,thupmt,friamf,friamt,fripmf,fripmt,satamf,satamt,satpmf,satpmt,notes,',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('soho') . 'Resources/Public/Icons/tx_soho_domain_model_normal.gif',
	),
	'interface' => array(
		'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, starttime, endtime, starttimenormaldate, endtimenormaldate, name, text, sunamf, sunamt, sunpmf, sunpmt, monamf, monamt, monpmf, monpmt, tueamf, tueamt, tuepmf, tuepmt, wedamf, wedamt, wedpmf, wedpmt, thuamf, thuamt, thupmf, thupmt, friamf, friamt, fripmf, fripmt, satamf, satamt, satpmf, satpmt, notes',
	),
	'types' => array(
		'1' => array('showitem' => 'sys_language_uid;;;;1-1-1, l10n_parent, l10n_diffsource, hidden;;1, starttimenormaldate, endtimenormaldate, name, text, sunamf, sunamt, sunpmf, sunpmt, monamf, monamt, monpmf, monpmt, tueamf, tueamt, tuepmf, tuepmt, wedamf, wedamt, wedpmf, wedpmt, thuamf, thuamt, thupmf, thupmt, friamf, friamt, fripmf, fripmt, satamf, satamt, satpmf, satpmt, notes, --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access, starttime, endtime'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(
	
		'sys_language_uid' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
			'config' => array(
				'type' => 'select',
				'renderType' => 'selectSingle',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
				),
			),
		),
		'l10n_parent' => array(
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
			'config' => array(
				'type' => 'select',
				'renderType' => 'selectSingle',
				'items' => array(
					array('', 0),
				),
				'foreign_table' => 'tx_soho_domain_model_normal',
				'foreign_table_where' => 'AND tx_soho_domain_model_normal.pid=###CURRENT_PID### AND tx_soho_domain_model_normal.sys_language_uid IN (-1,0)',
			),
		),
		'l10n_diffsource' => array(
			'config' => array(
				'type' => 'passthrough',
			),
		),

		't3ver_label' => array(
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'max' => 255,
			)
		),
	
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),

		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),

                'starttimenormaldate' => array(
                        'exclude' => 1,
                        'l10n_mode' => 'mergeIfNotBlank',
                        'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
                        'config' => array(
                                'type' => 'input',
                                'size' => 13,
                                'max' => 20,
                                'eval' => 'datetime,required',
                                'checkbox' => 0,
                                'default' => 0,
                                 'range' => array(
                                        //'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                                ),
                        ),
                ),
               'endtimenormaldate' => array(
                        'exclude' => 1,
                        'l10n_mode' => 'mergeIfNotBlank',
                        'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
                        'config' => array(
                                'type' => 'input',
                                'size' => 13,
                                'max' => 20,
                                'eval' => 'datetime,required',
                                'checkbox' => 0,
                                'default' => 0,
                                 'range' => array(
                                 //'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                                ),
                        ),
                ),


		'name' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.name',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'text' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.text',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 6,
				'eval' => 'trim'
			)
		),
		'sunamf' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.sunamf',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'sunamt' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.sunamt',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'sunpmf' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.sunpmf',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'sunpmt' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.sunpmt',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'monamf' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.monamf',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'monamt' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.monamt',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'monpmf' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.monpmf',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'monpmt' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.monpmt',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'tueamf' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.tueamf',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'tueamt' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.tueamt',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'tuepmf' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.tuepmf',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'tuepmt' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.tuepmt',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'wedamf' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.wedamf',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'wedamt' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.wedamt',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'wedpmf' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.wedpmf',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'wedpmt' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.wedpmt',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'thuamf' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.thuamf',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'thuamt' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.thuamt',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'thupmf' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.thupmf',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'thupmt' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.thupmt',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
	                                'upper' => 86400,
                                        'lower' => 0
                                )
                        )
		),
		'friamf' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.friamf',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'friamt' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.friamt',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'fripmf' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.fripmf',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'fripmt' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.fripmt',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'satamf' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.satamf',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'satamt' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.satamt',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'satpmf' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.satpmf',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'satpmt' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.satpmt',
			'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'notes' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.notes',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 6,
				'eval' => 'trim'
			)
		),
		
	),
);
