<?php
namespace Specialistaweb\Soho\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Giulia Tuveri <at@specialistaweb.it>, specialistaweb
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * table for exceptions
 */
class Exceptions extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{



    /**
     * starttimeexceptionsdate
     *
     * @var  integer
     */
    protected $starttimeexceptionsdate = '';
		
    /**
     * endtimeexceptionsdate
     *
     * @var  integer
     */
    protected $endtimeexceptionsdate = '';

    /**
     * name
     *
     * @var string
     */
    protected $name = '';
    
    /**
     * text
     *
     * @var string
     */
    protected $text = '';
    
    /**
     * pagelink
     *
     * @var int
     */
    protected $pagelink = 0;
    
    /**
     * newsuid
     *
     * @var int
     */
    protected $newsuid = 0;
    
    /**
     * amf
     *
     * @var int
     */
    protected $amf = 0;
    
    /**
     * amt
     *
     * @var int
     */
    protected $amt = 0;
    
    /**
     * pmf
     *
     * @var int
     */
    protected $pmf = 0;
    
    /**
     * pmt
     *
     * @var int
     */
    protected $pmt = 0;
    
    /**
     * timeformat
     *
     * @var int
     */
    protected $timeformat = 0;
    
    /**
     * notes
     *
     * @var string
     */
    protected $notes = '';
    
    /**
     * ampmhours
     *
     * @var string
     */
     protected $ampmhours;

    /**
     *
     * @param integer $starttimeexceptionsdate
     * @return integer  $starttimeexceptionsdate
     */
    public function getStarttimeexceptionsdate()
    {
       return $this->starttimeexceptionsdate;
    }

    /**
     * Sets the starttimeexceptionsdate
     *
     * @param integer $starttimeexceptionsdate
     * @return void
		 */
    public function setStarttimeexceptionsdate($starttimeexceptionsdate)
    {
       return $this->$starttimeexceptionsdate;
    }

    /**
     *
     * @param integer $endtimeexceptionsdate
     * @return integer  $endtimeexceptionsdate
     */
    public function getEndtimeexceptionsdate()
    {
       return $this->endtimeexceptionsdate;
    }

    /**
     * Sets the endtimeexceptionsdate
     *
     * @param integer $endtimeexceptionsdate
     * @return void
		 */
    public function setEndtimeexceptionsdate($endtimeexceptionsdate)
    {
       return $this->$endtimeexceptionsdate;
    }

    /**
     * Returns the name
     *
     * @return string $name
     */
    public function getName()
    {
        return $this->name;
    }
    
    /**
     * Sets the name
     *
     * @param string $name
     * @return void
     */
    public function setName($name)
    {
        $this->name = $name;
    }
    
    /**
     * Returns the text
     *
     * @return string $text
     */
    public function getText()
    {
        return $this->text;
    }
    
    /**
     * Sets the text
     *
     * @param string $text
     * @return void
     */
    public function setText($text)
    {
        $this->text = $text;
    }
    
    /**
     * Returns the pagelink
     *
     * @return int $pagelink
     */
    public function getPagelink()
    {
        return $this->pagelink;
    }
    
    /**
     * Sets the pagelink
     *
     * @param int $pagelink
     * @return void
     */
    public function setPagelink($pagelink)
    {
        $this->pagelink = $pagelink;
    }
    
    /**
     * Returns the newsuid
     *
     * @return int $newsuid
     */
    public function getNewsuid()
    {
        return $this->newsuid;
    }
    
    /**
     * Sets the newsuid
     *
     * @param int $newsuid
     * @return void
     */
    public function setNewsuid($newsuid)
    {
        $this->newsuid = $newsuid;
    }
    
    /**
     * Returns the amf
     *
     * @return int $amf
     */
    public function getAmf()
    {
        return $this->amf;
    }
    
    /**
     * Sets the amf
     *
     * @param int $amf
     * @return void
     */
    public function setAmf($amf)
    {
        $this->amf = $amf;
    }
    
    /**
     * Returns the amt
     *
     * @return int $amt
     */
    public function getAmt()
    {
        return $this->amt;
    }
    
    /**
     * Sets the amt
     *
     * @param int $amt
     * @return void
     */
    public function setAmt($amt)
    {
        $this->amt = $amt;
    }
    
    /**
     * Returns the pmf
     *
     * @return int $pmf
     */
    public function getPmf()
    {
        return $this->pmf;
    }
    
    /**
     * Sets the pmf
     *
     * @param int pmf
     * @return void
     */
    public function setPmf($pmf)
    {
        $this->pmf = $pmf;
    }
    
    /**
     * Returns the pmt
     *
     * @return int $pmt
     */
    public function getPmt()
    {
        return $this->pmt;
    }
    
    /**
     * Sets the pmt
     *
     * @param int $pmt
     * @return void
     */
    public function setPmt($pmt)
    {
        $this->pmt = $pmt;
    }
    
    /**
     * Returns the timeformat
     *
     * @return int $timeformat
     */
    public function getTimeformat()
    {
        return $this->timeformat;
    }
    
    /**
     * Sets the timeformat
     *
     * @param int $timeformat
     * @return void
     */
    public function setTimeformat($timeformat)
    {
        $this->timeformat = $timeformat;
    }
    
    /**
     * Returns the notes
     *
     * @return string $notes
     */
    public function getNotes()
    {
        return $this->notes;
    }
    
    /**
     * Sets the notes
     *
     * @param string $notes
     * @return void
     */
    public function setNotes($notes)
    {
        $this->notes = $notes;
    }

    /**
     * Returns the notes
     *
     * @return string $ampmhours
     */
    public function getAmpmhours()
    {
        return $this->ampmhours;
    }
    
    /**
     * Sets the ampmhours
     *
     * @param string $ampmhours
     * @return void
     */
    public function setAmpmhours($ampmhours)
    {
        $this->ampmhours = $ampmhours;
    }

}
