<?php
namespace Specialistaweb\Soho\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Giulia Tuveri <at@specialistaweb.it>, specialistaweb
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * keep track of holidays
 */
class Holiday extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * starttimenormaldate
     *
     * @var  integer
     */
    protected $starttimeholidaydate = '';

    /**
     * endtimenormaldate
     *
     * @var  integer
     */
    protected $endtimeholidaydate = '';

    /**
     * name
     *
     * @var string
     */
    protected $name = '';
    
    /**
     * text
     *
     * @var string
     */
    protected $text = '';

    /**
     * Returns the name
     *
     * @return string $name
     */
    public function getName()
    {
        return $this->name;
    }
    
    /**
     * Sets the name
     *
     * @param string $name
     * @return void
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * Sets the starttimenormaldate
     *
     * @param integer $starttimenormaldate
     * @return void
     */
    public function setStarttimeholidaydate($starttimeholidaydate)
    {
       return $this->$starttimeholidaydate;
    }

    /**
     *
     * @param integer $starttimeholidaydate
     * @return integer  $starttimeholidaydate
     */
    public function getStarttimeholidaydate()
    {
       return $this->starttimeholidaydate;
    }

    /**
     * Sets the endtimeholidaydate
     *
     * @param integer $endtimeholidaydate
     * @return void
     */
    public function setEndtimeholidaydate($endtimeholidaydate)
    {
       return $this->$endtimeholidaydate;
    }

    /**
     *
     * @param integer $endtimeholidaydate
     * @return integer  $endtimeholidaydate
     */
    public function getEndtimeholidaydate()
    {
       return $this->endtimeholidaydate;
    }
    
    /**
     * Returns the text
     *
     * @return string $text
     */
    public function getText()
    {
        return $this->text;
    }

    /**
     * Sets the text
     *
     * @param string $text
     * @return void
     */
    public function setText($text)
    {
        $this->text = $text;
    }

}
