<?php
return array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_exceptions',
		'label' => 'name',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'versioningWS' => 2,
		'versioning_followPages' => TRUE,

		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'starttimeexceptionsdate, endtimeexceptionsdate,name,text,pagelink,amf,amt,pmf,pmt,notes,',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('soho') . 'Resources/Public/Icons/tx_soho_domain_model_exceptions.gif'
	),
	'interface' => array(
		'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, starttime, endtime, starttimeexceptionsdate, endtimeexceptionsdate, name, text, pagelink, amf, amt, pmf, pmt, notes',
	),
	'types' => array(
		'1' => array('showitem' => 'sys_language_uid;;;;1-1-1, l10n_parent, l10n_diffsource, hidden;;1, starttimeexceptionsdate, endtimeexceptionsdate, name, text, pagelink, amf, amt, pmf, pmt, notes, --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access, starttime, endtime'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(
	
		'sys_language_uid' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
			'config' => array(
				'type' => 'select',
				'renderType' => 'selectSingle',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
				),
			),
		),
		'l10n_parent' => array(
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
			'config' => array(
				'type' => 'select',
				'renderType' => 'selectSingle',
				'items' => array(
					array('', 0),
				),
				'foreign_table' => 'tx_soho_domain_model_exceptions',
				'foreign_table_where' => 'AND tx_soho_domain_model_exceptions.pid=###CURRENT_PID### AND tx_soho_domain_model_exceptions.sys_language_uid IN (-1,0)',
			),
		),
		'l10n_diffsource' => array(
			'config' => array(
				'type' => 'passthrough',
			),
		),

		't3ver_label' => array(
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'max' => 255,
			)
		),
	
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),

                'starttimeexceptionsdate' => array(
                        'exclude' => 1,
                        'l10n_mode' => 'mergeIfNotBlank',
                        'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
                        'config' => array(
                                'type' => 'input',
                                'size' => 13,
                                'max' => 20,
                                'eval' => 'datetime,required',
                                'checkbox' => 0,
                                'default' => 0,
                                 'range' => array(
                                        // 'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                                ),
                        ),
                ),
               'endtimeexceptionsdate' => array(
                        'exclude' => 1,
                        'l10n_mode' => 'mergeIfNotBlank',
                        'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
                        'config' => array(
                                'type' => 'input',
                                'size' => 13,
                                'max' => 20,
                                'eval' => 'datetime,required',
                                'checkbox' => 0,
                                'default' => 0,
                                 'range' => array(
                                       // 'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                                ),
                        ),
                ),


		'name' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_exceptions.name',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'text' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_exceptions.text',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 6,
				'eval' => 'trim'
			)
		),
		'pagelink' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_exceptions.pagelink',
		        'config' => array(
                		'type' => 'group',
		                'internal_type' => 'db',
		                'allowed' => 'pages',
		                'size' => '5',
		                'maxitems' => '1',
		                'minitems' => '0',
		                'show_thumbs' => '1',
		                'wizards' => array(
                			'suggest' => array(
                                		'type' => 'suggest',
                        		),
                		),
        		),
		),
		'newsuid' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_exceptions.newsuid',
			'config' => array(
				'type' => 'input',
				'size' => 11,
				'eval' => 'int'
			)
		),
		'amf' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_exceptions.amf',
                        'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'amt' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_exceptions.amt',
                        'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'pmf' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_exceptions.pmf',
                        'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
		'pmt' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_exceptions.pmt',
                        'config' => Array (
                                'type' => 'input',
                                'size' => 5,
                                'max' => 5,
                                'eval' => 'trim,time',
                                'range' => Array (
                                                                'upper' => 86400,
                                                                'lower' => 0
                                )
                        )
		),
/*
               'dateformat' => array(
                        'exclude' => 1,
                        'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.dateformat',
                        'config' => array(
                                'type' => 'select',
                                'size' => 1,
                                'maxitems' => 1,
                                 'items' => array(
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.dateformat.I.0',0),
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.dateformat.I.1',1),
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.dateformat.I.2',2),
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.dateformat.I.3',3),
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.dateformat.I.4',4),
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.dateformat.I.5',5),
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.dateformat.I.6',6),
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.dateformat.I.7',7),
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.dateformat.I.8',8),
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.dateformat.I.9',9)
                                ),
                        ),
                ),

                'timeformat' => array(
                        'exclude' => 1,
                        'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.timeformat',
                        'config' => array(
                                'type' => 'select',
                                'size' => 1,
                                'maxitems' => 1,
                                'items' => array(
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.timeformat.I.0',0),
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.timeformat.I.1',1),
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.timeformat.I.2',2),
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.timeformat.I.3',3),
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.timeformat.I.4',4),
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.timeformat.I.5',5),
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.timeformat.I.6',6),
                                        array('LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_normal.timeformat.I.7',7),
                                ),

                        )
                ),
*/
		'notes' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:soho/Resources/Private/Language/locallang_db.xlf:tx_soho_domain_model_exceptions.notes',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 6,
				'eval' => 'trim'
			)
		),
		
	),
);
