<?php

namespace Specialistaweb\Soho\Tests\Unit\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2016 Giulia Tuveri <at@specialistaweb.it>, specialistaweb
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \Specialistaweb\Soho\Domain\Model\Normal.
 *
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @author Giulia Tuveri <at@specialistaweb.it>
 */
class NormalTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
	/**
	 * @var \Specialistaweb\Soho\Domain\Model\Normal
	 */
	protected $subject = NULL;

	public function setUp()
	{
		$this->subject = new \Specialistaweb\Soho\Domain\Model\Normal();
	}

	public function tearDown()
	{
		unset($this->subject);
	}

	/**
	 * @test
	 */
	public function getNameReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getName()
		);
	}

	/**
	 * @test
	 */
	public function setNameForStringSetsName()
	{
		$this->subject->setName('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'name',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getTextReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getText()
		);
	}

	/**
	 * @test
	 */
	public function setTextForStringSetsText()
	{
		$this->subject->setText('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'text',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSunamfReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setSunamfForIntSetsSunamf()
	{	}

	/**
	 * @test
	 */
	public function getSunamtReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setSunamtForIntSetsSunamt()
	{	}

	/**
	 * @test
	 */
	public function getSunpmfReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setSunpmfForIntSetsSunpmf()
	{	}

	/**
	 * @test
	 */
	public function getSunpmtReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setSunpmtForIntSetsSunpmt()
	{	}

	/**
	 * @test
	 */
	public function getMonamfReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setMonamfForIntSetsMonamf()
	{	}

	/**
	 * @test
	 */
	public function getMonamtReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setMonamtForIntSetsMonamt()
	{	}

	/**
	 * @test
	 */
	public function getMonpmfReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setMonpmfForIntSetsMonpmf()
	{	}

	/**
	 * @test
	 */
	public function getMonpmtReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setMonpmtForIntSetsMonpmt()
	{	}

	/**
	 * @test
	 */
	public function getTueamfReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setTueamfForIntSetsTueamf()
	{	}

	/**
	 * @test
	 */
	public function getTueamtReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setTueamtForIntSetsTueamt()
	{	}

	/**
	 * @test
	 */
	public function getTuepmfReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setTuepmfForIntSetsTuepmf()
	{	}

	/**
	 * @test
	 */
	public function getTuepmtReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setTuepmtForIntSetsTuepmt()
	{	}

	/**
	 * @test
	 */
	public function getWedamfReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setWedamfForIntSetsWedamf()
	{	}

	/**
	 * @test
	 */
	public function getWedamtReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setWedamtForIntSetsWedamt()
	{	}

	/**
	 * @test
	 */
	public function getWedpmfReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setWedpmfForIntSetsWedpmf()
	{	}

	/**
	 * @test
	 */
	public function getWedpmtReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setWedpmtForIntSetsWedpmt()
	{	}

	/**
	 * @test
	 */
	public function getThuamfReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setThuamfForIntSetsThuamf()
	{	}

	/**
	 * @test
	 */
	public function getThuamtReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setThuamtForIntSetsThuamt()
	{	}

	/**
	 * @test
	 */
	public function getThupmfReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setThupmfForIntSetsThupmf()
	{	}

	/**
	 * @test
	 */
	public function getThupmtReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setThupmtForIntSetsThupmt()
	{	}

	/**
	 * @test
	 */
	public function getFriamfReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setFriamfForIntSetsFriamf()
	{	}

	/**
	 * @test
	 */
	public function getFriamtReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setFriamtForIntSetsFriamt()
	{	}

	/**
	 * @test
	 */
	public function getFripmfReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setFripmfForIntSetsFripmf()
	{	}

	/**
	 * @test
	 */
	public function getFripmtReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setFripmtForIntSetsFripmt()
	{	}

	/**
	 * @test
	 */
	public function getSatamfReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setSatamfForIntSetsSatamf()
	{	}

	/**
	 * @test
	 */
	public function getSatamtReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setSatamtForIntSetsSatamt()
	{	}

	/**
	 * @test
	 */
	public function getSatpmfReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setSatpmfForIntSetsSatpmf()
	{	}

	/**
	 * @test
	 */
	public function getSatpmtReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setSatpmtForIntSetsSatpmt()
	{	}

	/**
	 * @test
	 */
	public function getTimeformatReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setTimeformatForIntSetsTimeformat()
	{	}

	/**
	 * @test
	 */
	public function getAlttextReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getAlttext()
		);
	}

	/**
	 * @test
	 */
	public function setAlttextForStringSetsAlttext()
	{
		$this->subject->setAlttext('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'alttext',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getNotesReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setNotesForIntSetsNotes()
	{	}
}
