#
# Table structure for table 'tx_soho_domain_model_normal'
#
CREATE TABLE tx_soho_domain_model_normal (

	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	starttimenormaldate int (11) DEFAULT '0' NOT NULL,
	endtimenormaldate int (11) DEFAULT '0' NOT NULL,
	name varchar(255) DEFAULT '' NOT NULL,
	text text NOT NULL,
	sunamf int(11) DEFAULT '0' NOT NULL,
	sunamt int(11) DEFAULT '0' NOT NULL,
	sunpmf int(11) DEFAULT '0' NOT NULL,
	sunpmt int(11) DEFAULT '0' NOT NULL,
	monamf int(11) DEFAULT '0' NOT NULL,
	monamt int(11) DEFAULT '0' NOT NULL,
	monpmf int(11) DEFAULT '0' NOT NULL,
	monpmt int(11) DEFAULT '0' NOT NULL,
	tueamf int(11) DEFAULT '0' NOT NULL,
	tueamt int(11) DEFAULT '0' NOT NULL,
	tuepmf int(11) DEFAULT '0' NOT NULL,
	tuepmt int(11) DEFAULT '0' NOT NULL,
	wedamf int(11) DEFAULT '0' NOT NULL,
	wedamt int(11) DEFAULT '0' NOT NULL,
	wedpmf int(11) DEFAULT '0' NOT NULL,
	wedpmt int(11) DEFAULT '0' NOT NULL,
	thuamf int(11) DEFAULT '0' NOT NULL,
	thuamt int(11) DEFAULT '0' NOT NULL,
	thupmf int(11) DEFAULT '0' NOT NULL,
	thupmt int(11) DEFAULT '0' NOT NULL,
	friamf int(11) DEFAULT '0' NOT NULL,
	friamt int(11) DEFAULT '0' NOT NULL,
	fripmf int(11) DEFAULT '0' NOT NULL,
	fripmt int(11) DEFAULT '0' NOT NULL,
	satamf int(11) DEFAULT '0' NOT NULL,
	satamt int(11) DEFAULT '0' NOT NULL,
	satpmf int(11) DEFAULT '0' NOT NULL,
	satpmt int(11) DEFAULT '0' NOT NULL,
	alttext text NOT NULL,
	notes text NOT NULL,

	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	starttime int(11) unsigned DEFAULT '0' NOT NULL,
	endtime int(11) unsigned DEFAULT '0' NOT NULL,

	t3ver_oid int(11) DEFAULT '0' NOT NULL,
	t3ver_id int(11) DEFAULT '0' NOT NULL,
	t3ver_wsid int(11) DEFAULT '0' NOT NULL,
	t3ver_label varchar(255) DEFAULT '' NOT NULL,
	t3ver_state tinyint(4) DEFAULT '0' NOT NULL,
	t3ver_stage int(11) DEFAULT '0' NOT NULL,
	t3ver_count int(11) DEFAULT '0' NOT NULL,
	t3ver_tstamp int(11) DEFAULT '0' NOT NULL,
	t3ver_move_id int(11) DEFAULT '0' NOT NULL,

	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumblob,

	PRIMARY KEY (uid),
	KEY parent (pid),
	KEY t3ver_oid (t3ver_oid,t3ver_wsid),
 KEY language (l10n_parent,sys_language_uid)

);

#
# Table structure for table 'tx_soho_domain_model_closed'
#
CREATE TABLE tx_soho_domain_model_closed (

	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	starttimecloseddate int (11) DEFAULT '0' NOT NULL,
	endtimecloseddate int (11) DEFAULT '0' NOT NULL,
	name varchar(255) DEFAULT '' NOT NULL,
	text text NOT NULL,
	notes text NOT NULL,

	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	starttime int(11) unsigned DEFAULT '0' NOT NULL,
	endtime int(11) unsigned DEFAULT '0' NOT NULL,

	t3ver_oid int(11) DEFAULT '0' NOT NULL,
	t3ver_id int(11) DEFAULT '0' NOT NULL,
	t3ver_wsid int(11) DEFAULT '0' NOT NULL,
	t3ver_label varchar(255) DEFAULT '' NOT NULL,
	t3ver_state tinyint(4) DEFAULT '0' NOT NULL,
	t3ver_stage int(11) DEFAULT '0' NOT NULL,
	t3ver_count int(11) DEFAULT '0' NOT NULL,
	t3ver_tstamp int(11) DEFAULT '0' NOT NULL,
	t3ver_move_id int(11) DEFAULT '0' NOT NULL,

	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumblob,

	PRIMARY KEY (uid),
	KEY parent (pid),
	KEY t3ver_oid (t3ver_oid,t3ver_wsid),
 KEY language (l10n_parent,sys_language_uid)

);

#
# Table structure for table 'tx_soho_domain_model_exceptions'
#
CREATE TABLE tx_soho_domain_model_exceptions (

	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	starttimeexceptionsdate int (11) DEFAULT '0' NOT NULL,
	endtimeexceptionsdate int (11) DEFAULT '0' NOT NULL,
	name varchar(255) DEFAULT '' NOT NULL,
	text text NOT NULL,
	pagelink int(11) DEFAULT '0' NOT NULL,
	newsuid int(11) DEFAULT '0' NOT NULL,
	amf int(11) DEFAULT '0' NOT NULL,
	amt int(11) DEFAULT '0' NOT NULL,
	pmf int(11) DEFAULT '0' NOT NULL,
	pmt int(11) DEFAULT '0' NOT NULL,
	notes text NOT NULL,

	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	starttime int(11) unsigned DEFAULT '0' NOT NULL,
	endtime int(11) unsigned DEFAULT '0' NOT NULL,

	t3ver_oid int(11) DEFAULT '0' NOT NULL,
	t3ver_id int(11) DEFAULT '0' NOT NULL,
	t3ver_wsid int(11) DEFAULT '0' NOT NULL,
	t3ver_label varchar(255) DEFAULT '' NOT NULL,
	t3ver_state tinyint(4) DEFAULT '0' NOT NULL,
	t3ver_stage int(11) DEFAULT '0' NOT NULL,
	t3ver_count int(11) DEFAULT '0' NOT NULL,
	t3ver_tstamp int(11) DEFAULT '0' NOT NULL,
	t3ver_move_id int(11) DEFAULT '0' NOT NULL,

	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumblob,

	PRIMARY KEY (uid),
	KEY parent (pid),
	KEY t3ver_oid (t3ver_oid,t3ver_wsid),
 KEY language (l10n_parent,sys_language_uid)

);

#
# Table structure for table 'tx_soho_domain_model_holiday'
#
CREATE TABLE tx_soho_domain_model_holiday (

	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	starttimeholidaydate int (11) DEFAULT '0' NOT NULL,
	endtimeholidaydate int (11) DEFAULT '0' NOT NULL,

	name varchar(255) DEFAULT '' NOT NULL,
	text text NOT NULL,

	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	starttime int(11) unsigned DEFAULT '0' NOT NULL,
	endtime int(11) unsigned DEFAULT '0' NOT NULL,

	t3ver_oid int(11) DEFAULT '0' NOT NULL,
	t3ver_id int(11) DEFAULT '0' NOT NULL,
	t3ver_wsid int(11) DEFAULT '0' NOT NULL,
	t3ver_label varchar(255) DEFAULT '' NOT NULL,
	t3ver_state tinyint(4) DEFAULT '0' NOT NULL,
	t3ver_stage int(11) DEFAULT '0' NOT NULL,
	t3ver_count int(11) DEFAULT '0' NOT NULL,
	t3ver_tstamp int(11) DEFAULT '0' NOT NULL,
	t3ver_move_id int(11) DEFAULT '0' NOT NULL,

	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumblob,

	PRIMARY KEY (uid),
	KEY parent (pid),
	KEY t3ver_oid (t3ver_oid,t3ver_wsid),
 KEY language (l10n_parent,sys_language_uid)

);
